创建帐户
本文内容
命名空间:microsoft.graph
在用户配置文件中创建新的 userAccountInformation 对象 。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
User.ReadWrite、User.ReadWrite.All
委派(个人 Microsoft 帐户)
User.ReadWrite、User.ReadWrite.All
应用程序
User.ReadWrite.All
HTTP 请求
POST /me/profile/account
POST /users/{id | userPrincipalName}/profile/account
名称
说明
Authorization
Bearer {token}。必需。
Content-Type
application/json. Required.
请求正文
在请求正文中,提供 userAccountInformation 对象的 JSON 表示形式。
下表显示创建新的 userAccountInformation 对象时所需的属性。
属性
类型
Description
allowedAudiences
String
能够查看实体中包含的值的访问群体。 继承自 itemFacet 。 可取值为:me、family、contacts、groupMembers、organization、federatedOrganizations、everyone、unknownFutureValue。
countryCode
String
包含与用户帐户关联的两个字符的国家/地区代码。
inference
inferenceData
如果实体是由创建或修改应用程序推断出来的,则包含推断详细信息。 继承自 itemFacet 。
preferredLanguageTag
localeInfo
包含用户关联为帐户首选的语言。
source
personDataSource
如果从另一个服务同步,则值源自何处。 继承自 itemFacet 。
响应
如果成功,此方法在响应 201 Created 正文中返回 响应 代码和 userAccountInformation 对象。
示例
POST https://graph.microsoft.com/beta/me/profile/account
Content-Type: application/json
{
"allowedAudiences": "organization",
"countryCode": "NO",
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var userAccountInformation = new UserAccountInformation
{
AllowedAudiences = AllowedAudiences.Organization,
CountryCode = "NO"
};
await graphClient.Me.Profile.Account
.Request()
.AddAsync(userAccountInformation);
const options = {
authProvider,
};
const client = Client.init(options);
const userAccountInformation = {
allowedAudiences: 'organization',
countryCode: 'NO',
};
await client.api('/me/profile/account')
.version('beta')
.post(userAccountInformation);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/me/profile/account"]]];
[urlRequest setHTTPMethod:@"POST"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphUserAccountInformation *userAccountInformation = [[MSGraphUserAccountInformation alloc] init];
[userAccountInformation setAllowedAudiences: [MSGraphAllowedAudiences organization]];
[userAccountInformation setCountryCode:@"NO"];
NSError *error;
NSData *userAccountInformationData = [userAccountInformation getSerializedDataWithError:&error];
[urlRequest setHTTPBody:userAccountInformationData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
UserAccountInformation userAccountInformation = new UserAccountInformation();
userAccountInformation.allowedAudiences = EnumSet.of(AllowedAudiences.ORGANIZATION);
userAccountInformation.countryCode = "NO";
graphClient.me().profile().account()
.buildRequest()
.post(userAccountInformation);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewUserAccountInformation()
allowedAudiences := "organization"
requestBody.SetAllowedAudiences(&allowedAudiences)
countryCode := "NO"
requestBody.SetCountryCode(&countryCode)
result, err := graphClient.Me().Profile().Account().Post(requestBody)
Import-Module Microsoft.Graph.People
$params = @{
AllowedAudiences = "organization"
CountryCode = "NO"
}
# A UPN can also be used as -UserId.
New-MgUserProfileAccount -UserId $userId -BodyParameter $params
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 201 Created
Content-Type: application/json
{
"id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
"allowedAudiences": "organization",
"inference": null,
"createdDateTime": "2020-07-06T06:34:12.2294868Z",
"createdBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
"lastModifiedBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"source": null,
"ageGroup": "adult",
"countryCode": "NO",
"preferredLanguageTag": null,
"userPrincipalName": "innocenty.popov@adventureworks.com"
}